Bug 1945361 (CVE-2021-29647) - CVE-2021-29647 kernel: information disclosure due to uninitialized data structure in qrtr_recvmsg function in net/qrtr/qrtr.c
Summary: CVE-2021-29647 kernel: information disclosure due to uninitialized data struc...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-29647
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1945362
Blocks: 1945363
TreeView+ depends on / blocked
 
Reported: 2021-03-31 17:58 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-04-12 19:25 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. This flaw allows attackers to obtain sensitive information from kernel memory because of a partially uninitialized data structure. The highest threat from this vulnerability is to confidentiality.
Clone Of:
Environment:
Last Closed: 2021-04-08 11:35:19 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-03-31 17:58:32 UTC
An issue was discovered in the Linux kernel before 5.11.11. qrtr_recvmsg in net/qrtr/qrtr.c allows attackers to obtain sensitive information from kernel memory because of a partially uninitialized data structure.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=50535249f624d0072cd885bcdce4e4b6fb770160

Comment 1 Guilherme de Almeida Suckevicz 2021-03-31 17:59:05 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1945362]

Comment 2 Fedora Update System 2021-04-02 00:17:06 UTC
FEDORA-2021-41fb54ae9f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-04-02 01:14:17 UTC
FEDORA-2021-6b0f287b8b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-04-02 01:21:22 UTC
FEDORA-2021-2306e89112 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2021-04-08 11:35:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-29647


Note You need to log in before you can comment on or make changes to this bug.